sort.h File Reference

Go to the source code of this file.

## Namespaces

namespace | __gnu_parallel

## Functions

template<bool __stable, typename _RAIter , typename _Compare , typename _Parallelism >
void | __gnu_parallel::__parallel_sort (_RAIter __begin, _RAIter __end, _Compare __comp, _Parallelism __parallelism)
template<bool __stable, typename _RAIter , typename _Compare >
void | __gnu_parallel::__parallel_sort (_RAIter __begin, _RAIter __end, _Compare __comp, multiway_mergesort_tag __parallelism)
template<bool __stable, typename _RAIter , typename _Compare >
void | __gnu_parallel::__parallel_sort (_RAIter __begin, _RAIter __end, _Compare __comp, multiway_mergesort_exact_tag __parallelism)
template<bool __stable, typename _RAIter , typename _Compare >
void | __gnu_parallel::__parallel_sort (_RAIter __begin, _RAIter __end, _Compare __comp, multiway_mergesort_sampling_tag __parallelism)
template<bool __stable, typename _RAIter , typename _Compare >
void | __gnu_parallel::__parallel_sort (_RAIter __begin, _RAIter __end, _Compare __comp, quicksort_tag __parallelism)
template<bool __stable, typename _RAIter , typename _Compare >
void | __gnu_parallel::__parallel_sort (_RAIter __begin, _RAIter __end, _Compare __comp, balanced_quicksort_tag __parallelism)
template<bool __stable, typename _RAIter , typename _Compare >
void | __gnu_parallel::__parallel_sort (_RAIter __begin, _RAIter __end, _Compare __comp, default_parallel_tag __parallelism)
template<bool __stable, typename _RAIter , typename _Compare >
void | __gnu_parallel::__parallel_sort (_RAIter __begin, _RAIter __end, _Compare __comp, parallel_tag __parallelism)

## Detailed Description

Parallel sorting algorithm switch. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file sort.h.